Bug 970697 - (CVE-2013-2139) CVE-2013-2139 libsrtp: buffer overflow in application of crypto profiles
CVE-2013-2139 libsrtp: buffer overflow in application of crypto profiles
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130530,reported=2...
: Security
Depends On: 1141897 970700 970701
Blocks: 1142048
  Show dependency treegraph
 
Reported: 2013-06-04 11:46 EDT by Vincent Danen
Modified: 2015-01-20 12:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 12:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-06-04 11:46:57 EDT
A buffer overflow flaw was reported [1] in libsrtp, Cisco's reference implementation of the Secure Real-time Transport Protocol (SRTP), in how the crypto_policy_set_from_profile_for_rtp() function applies cryptographic profiles to an srtp_policy.  This could allow for a crash of a client linked against libsrtp (like asterisk or linphone).

A pull request in git [2] has a patch to correct this issue.

[1] http://seclists.org/fulldisclosure/2013/Jun/10
[2] https://github.com/cisco/libsrtp/pull/26
Comment 1 Vincent Danen 2013-06-04 12:03:24 EDT
Created libsrtp tracking bugs for this issue

Affects: fedora-all [bug 970700]
Affects: epel-6 [bug 970701]
Comment 2 Vincent Danen 2013-06-04 15:09:57 EDT
Actually, this is the correct pull request:

https://github.com/cisco/libsrtp/pull/27

The other one is noted as being incorrect.
Comment 3 Vincent Danen 2013-06-04 15:18:34 EDT
This was assigned CVE-2013-2139:

http://www.openwall.com/lists/oss-security/2013/06/04/8
Comment 4 Fedora Update System 2014-01-08 02:46:50 EST
libsrtp-1.4.4-9.20101004cvs.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-01-08 02:48:57 EST
libsrtp-1.4.4-9.20101004cvs.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-01-08 02:53:14 EST
libsrtp-1.4.4-9.20101004cvs.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-10-14 14:13:28 EDT
libsrtp-1.4.4-10.20101004cvs.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Vincent Danen 2015-01-20 12:52:22 EST
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.